---
title: FeaturePolicy.allowsFeature()
slug: Web/API/FeaturePolicy/allowsFeature
---
<div>{{APIRef("Feature Policy API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>allowsFeature()</code></strong> method of the {{DOMxRef("FeaturePolicy")}} interface enables introspection of individual directives of the Feature Policy it is run on. It returns a {{JSxRef("Boolean")}} that is <code>true</code> if and only if the specified feature is allowed in the specified context (or the default context if no context is specified).</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const allowed = <em>FeaturePolicy</em>.allowsFeature(&lt;feature&gt;)
</pre>

<p>or</p>

<pre class="syntaxbox">const allowed = <em>FeaturePolicy</em>.allowsFeature(&lt;feature&gt;, &lt;origin&gt;)</pre>

<h3 id="Parameters">Parameters</h3>

<h4 id="Feature_name"><code>Feature name</code></h4>

<p>A specific feature name must be specified.</p>

<h4 id="Origin_name_Optional_inline"><code>Origin name</code> {{Optional_inline}}</h4>

<p>An origin URL to check the feature on. If it is omitted the default origin is used.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{JSxRef("Boolean")}} that is <code>true</code> if and only if the feature is allowed.</p>

<h2 id="Example">Example</h2>

<p>The following example queries whether or not the document is allowed to use camera API by the Feature Policy. Please note that Camera API might be restricted by the Permissions API, if the user did not grant the corresponding permission yet.</p>

<pre class="brush: js">// First, get the Feature Policy object
const featurePolicy = document.featurePolicy

// Then query feature for specific
const allowed = featurePolicy.allowsFeature("camera")

if (allowed){
  console.log("FP allows camera.")
} else {
  console.log("FP does not allows camera.")
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("Feature Policy","","allowsFeature")}}</td>
			<td>{{Spec2("Feature Policy")}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FeaturePolicy.allowsFeature")}}</p>
